# loadData

## Description

Loads the data from a local table, staging database or 3rd party connector.

## Input / Parameter

| Name     | Description                                                | Input Type  | Default | Options | Required |
| -------- | ---------------------------------------------------------- | ----------- | ------- | ------- | -------- |
| dataset  | The name of the local table to load data from.             | String/Text | -       | -       | Yes      |
| limit    | The number of records to be returned from the local table. | Number      | -       | -       | No       |
| page     | The page number.                                           | Number      | -       | -       | No       |
| filter   | The filters for the fields and values to retrieve.         | Array/List  | -       | -       | Yes      |
| orFilter | Additional filters for the fields and values to retrieve.  | Array/List  | -       | -       | No       |
| order    | Sorts the data with the provided details.                  | Array/List  | -       | -       | No       |
| extra    | Extra parameters stored and passed to callback.            | Any         | -       | -       | No       |

## Output

| Description                                 | Output Type |
| ------------------------------------------- | ----------- |
| Returns the list of records that is loaded. | Array/List  |

## Callback?

### callback

The function to be executed if the records are loaded successfully.

### errorCallback

The function to be executed if the records are not loaded successfully.

## Video

Coming Soon.

## Example

The user wants to load the data from dataset "l\_customer".

### Step

1. Create a button, pannel, datalist and label from component.

   ![](/files/9NSeC1t7l7hZY5GxdFYq)

   ![](/files/f28OR59RVYyLONuB4aVh)

   \
   ( Set the dataset name "l\_customer" for column Dataset. We assumed the dataset name have been created when you create local table in Services. )

   ![](/files/RYcSmlMpGXm8sCCRwLy5)

   ![](/files/0w3AdtDA2g0XYnaqSKyo)

   \
   ( When you click the each label, set the field name to "code" "id" and "name" respectively for field column. )<br>
2. Call the function "dataFromString" and define the dataset and string.\
   dataset: l\_customer\
   string: \[{"id":"1","code":"C20000","name":"Maxi-Teq","address":"300 Billings Drive","tel":"555-0110","term":"C.O.D"},{"id":"2","code":"C23900","name":"Parameter Technology","address":"908 Darby Road","tel":"555-0119","term":"C.O.D"}

   ![](/files/fHQa4AJj4KJQVmbjEie9)
3. Call the function "loadData"and define the dataset and limit.\
   dataset: l\_customer\
   limit: 20

   ![](/files/BAFfQBHiiqPhUcEFSr9W)

### Result

![](/files/9Ex1EfBoV72MUh83xV8j)

![](/files/ILTLAaavxvZSM1cBjUyy) ( When you call the function "dataFromString", and put a string in json format.The outcome was shown in image above. )

![](/files/jgo8DGjKGauPQ7dgdyAz)\
( When you call the function "loadData", and set the limit is 20, therefore it will display the data from id 1-20 instead of until id 24. )

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/loaddata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
